libetonyek::IWORKFoElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKFoElement Class Reference

class to parse the sf:fo element, ie. formula element More...

`#include <IWORKFormulaElement.h>`

Inheritance diagram for libetonyek::IWORKFoElement:

## Public Member Functions
| IWORKFoElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
const boost::optional< ID_t > & | getId () const

## Private Attributes
boost::optional< ID_t > | m_id
boost::optional< std::string > | m_formula
boost::optional< unsigned > | m_hc

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Detailed Description

class to parse the sf:fo element, ie. formula element

## Constructor & Destructor Documentation

## ◆ IWORKFoElement()

libetonyek::IWORKFoElement::IWORKFoElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKFoElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFoElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKFoElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKFoElement::getId | ( |  | ) | const
| private

Referenced by endOfElement().

## Member Data Documentation

## ◆ m_formula

boost::optional<std::string> libetonyek::IWORKFoElement::m_formula
| private

Referenced by attribute(), and endOfElement().

## ◆ m_hc

boost::optional<unsigned> libetonyek::IWORKFoElement::m_hc
| private

Referenced by attribute(), and endOfElement().

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKFoElement::m_id
| private

Referenced by attribute(), and getId().

The documentation for this class was generated from the following files:

- IWORKFormulaElement.h
- IWORKFormulaElement.cpp